package com.cooleshow.teacher.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.teacher.bean.PianoRoomCourseHomeworkBean;

/**
 * Author by pq, Date on 2022/4/20.
 */
public interface PianoRoomCourseHomeworkContract {

    interface PianoRoomCourseHomeworkView extends BaseView {
        void getCourseHomeworkInfoSuccess(PianoRoomCourseHomeworkBean homeworkBean);

        void submitCourseHomeworkSuccess();

        void submitCourseHomeworkCommentSuccess();
    }

    interface Presenter {
        void getCourseHomeworkInfo(String courseId,String studentId);

        void submitCourseHomework(String homeworkContent, String courseScheduleId);

        void submitCourseHomeworkComment(String commentContent, String courseScheduleId,String studentId);
    }
}
